Tickets
Start work on a general ticket
Explicitly move Pending to In progress. Agents must first assign a human owner. Reading, assignment and customer replies do not start work. Does not pause AI.
POST
/
tickets
/
{ticketId}
/
start
Start work on a general ticket
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"note": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start"
payload = {
"revision": 1,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision: 1, note: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start"
payload := strings.NewReader("{\n \"revision\": 1,\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ticketId": "<string>",
"tenantId": "<string>",
"conversationId": "<string>",
"type": "ticket",
"status": "pending",
"title": "<string>",
"description": "<string>",
"revision": 1,
"channel": "<string>",
"contextStatus": "available",
"contact": {
"displayName": "<string>",
"avatarUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"source": {
"kind": "manual",
"messageId": "<string>",
"eventId": "<string>"
},
"permittedActions": [
"update"
],
"business": {
"propertyId": "<string>",
"name": "<string>"
},
"assignee": {
"operatorId": "<string>",
"name": "<string>"
},
"resolvedAt": "<string>",
"escalation": {
"reasonCode": "<string>",
"returnsToAiOnResolve": true,
"ownershipActive": true,
"capturedFields": {},
"missingFields": [
"<string>"
],
"knowledgeGap": {
"contextStatus": "available",
"schemaVersion": "1.0",
"category": "<string>",
"sourceCount": 4503599627370495,
"sourceTitles": [
"<string>"
],
"importance": "<string>",
"confidence": "high",
"receiptStatus": "available",
"receipt": {
"receiptId": "<string>",
"reportedAt": "2023-11-07T05:31:56Z",
"behavior": "report_only",
"disposition": "reported"
}
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Autorizaciones
Server-side tenant-scoped credential created from Build > API Keys.
Parámetros de ruta
The durable ticketId from list_tickets or get_ticket, including escalation items. Not a conversationId.
Required string length:
1 - 200Cuerpo
application/json
Respuesta
Confirmed resource state.
Opciones disponibles:
ticket, escalation Opciones disponibles:
pending, in_progress, resolved, cancelled Rango requerido:
x >= 0Opciones disponibles:
available, unavailable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
update, assign, note, start, resolve, cancel Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Start work on a general ticket
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revision": 1,
"note": "<string>"
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start"
payload = {
"revision": 1,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revision: 1, note: '<string>'})
};
fetch('https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revision' => 1,
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start"
payload := strings.NewReader("{\n \"revision\": 1,\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revision\": 1,\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/tickets/{ticketId}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revision\": 1,\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ticketId": "<string>",
"tenantId": "<string>",
"conversationId": "<string>",
"type": "ticket",
"status": "pending",
"title": "<string>",
"description": "<string>",
"revision": 1,
"channel": "<string>",
"contextStatus": "available",
"contact": {
"displayName": "<string>",
"avatarUrl": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"source": {
"kind": "manual",
"messageId": "<string>",
"eventId": "<string>"
},
"permittedActions": [
"update"
],
"business": {
"propertyId": "<string>",
"name": "<string>"
},
"assignee": {
"operatorId": "<string>",
"name": "<string>"
},
"resolvedAt": "<string>",
"escalation": {
"reasonCode": "<string>",
"returnsToAiOnResolve": true,
"ownershipActive": true,
"capturedFields": {},
"missingFields": [
"<string>"
],
"knowledgeGap": {
"contextStatus": "available",
"schemaVersion": "1.0",
"category": "<string>",
"sourceCount": 4503599627370495,
"sourceTitles": [
"<string>"
],
"importance": "<string>",
"confidence": "high",
"receiptStatus": "available",
"receipt": {
"receiptId": "<string>",
"reportedAt": "2023-11-07T05:31:56Z",
"behavior": "report_only",
"disposition": "reported"
}
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}